# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "SchemaError",
    "ISchemaManager",
    ]

from zope.interface import Interface


class SchemaError(Exception):
    """Raised when a schema inconsistency is encountered."""


class ISchemaManager(Interface):
    """A flag interface used to lookup the SchemaManager utility."""
