# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "IDeviceDriver",
    "IHasDeviceDriver",
    ]

from zope.interface import (
    Attribute,
    Interface,
    )


class IDeviceDriver(Interface):

    name = Attribute("Device driver name")


class IHasDeviceDriver(Interface):

    driver_name = Attribute("Device driver name")
