# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "ProcessorPlatform",
    ]

from storm.locals import (
    AutoReload,
    Int,
    Unicode,
    )

from zope.interface import implements

from lpresults.hardware.interfaces.processorplatform import IProcessorPlatform


class ProcessorPlatform:

    __storm_table__ = "processorplatform"

    implements(IProcessorPlatform)

    id = Int(primary=True, allow_none=False, default=AutoReload)
    name = Unicode(allow_none=False)

    def __init__(self, name):
        self.name = name
