# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = []

from unittest import defaultTestLoader

from lpresults.registry.models.tests.test_series import TestSeriesSetMixin
from lpresults.registry.testing.cases import TestCaseWithFactory


class TestDistroSeriesSet(TestCaseWithFactory, TestSeriesSetMixin):

    def getSeriesContext(self):
        return self.factory.makeDistribution()


def test_suite():
    return defaultTestLoader.loadTestsFromName(__name__)
