# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "TestCase",
    "TestCaseWithFactory",
    ]

import unittest

from lpresults.session.testing.factories import TestFactory


class TestCase(unittest.TestCase):

    pass


class TestCaseWithFactory(TestCase):

    factory_class = TestFactory

    def setUp(self):
        super(TestCaseWithFactory, self).setUp()

        self.factory = self.factory_class()
