# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "TestFactory",
    ]

from lpresults.database.store import get_store
from lpresults.database.testing import factories as database_factories


class DatabaseFactory(database_factories.DatabaseFactory):

    def getSessionStore(self):
        return get_store("session")

    def getSessionAutocommitStore(self):
        return get_store("session-autocommit")


class TestFactory(DatabaseFactory):

    pass
