# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "DatabaseLayer",
    ]

from lpresults.database.testing import layers as database_layers


class DatabaseLayerFactory(database_layers.DatabaseLayerFactory):
    """Sets up PostgreSQL databases for use in tests."""

    stores = [
        "session",
        "session-autocommit",
        ]


DatabaseLayer = DatabaseLayerFactory("DatabaseLayer")
