# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""All the interfaces that are exposed through the webservice."""

__all__ = [
    "IAttachment",
    "IAttachmentSet",
    "IAttachmentTarget",
    "ITestCase",
    "ITestCaseSet",
    "ITestDistribution",
    "ITestDistributionSet",
    "ITestDistroSeries",
    "ITestDistroSeriesSet",
    "ITestPerson",
    "ITestPersonSet",
    "ITestPillar",
    "ITestPillarSet",
    "ITestProject",
    "ITestProjectSet",
    "ITestProjectSeries",
    "ITestProjectSeriesSet",
    "ITestResult",
    "ITestRun",
    "ITestRunTarget",
    "ITestSystem",
    "ITestSystemSet",
    "ITestSystemUnit",
    "ITestSystemUnitSet",
    ]

from lpresults.tracker.interfaces.attachment import (
    IAttachment,
    IAttachmentSet,
    IAttachmentTarget,
    )
from lpresults.tracker.interfaces.testcase import (
    ITestCase,
    ITestCaseSet,
    )
from lpresults.tracker.interfaces.testdistribution import (
    ITestDistribution,
    ITestDistributionSet,
    )
from lpresults.tracker.interfaces.testdistroseries import (
    ITestDistroSeries,
    ITestDistroSeriesSet,
    )
from lpresults.tracker.interfaces.testperson import (
    ITestPerson,
    ITestPersonSet,
    )
from lpresults.tracker.interfaces.testpillar import (
    ITestPillar,
    ITestPillarSet,
    )
from lpresults.tracker.interfaces.testproject import (
    ITestProject,
    ITestProjectSet,
    )
from lpresults.tracker.interfaces.testprojectseries import (
    ITestProjectSeries,
    ITestProjectSeriesSet,
    )
from lpresults.tracker.interfaces.testresult import ITestResult
from lpresults.tracker.interfaces.testrun import (
    ITestRun,
    ITestRunTarget,
    )
from lpresults.tracker.interfaces.testsystem import (
    ITestSystem,
    ITestSystemSet,
    )
from lpresults.tracker.interfaces.testsystemunit import (
    ITestSystemUnit,
    ITestSystemUnitSet,
    )
