# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = []

from unittest import (
    defaultTestLoader,
    TestCase,
    )

from django.test.client import Client

from lpresults.tracker.testing.layers import FunctionalLayer


class TestRoot(TestCase):

    layer = FunctionalLayer

    def test_get(self):
        client = Client()
        response = client.get("/")
        self.assertTrue("Launchpad Results" in response.content)


def test_suite():
    return defaultTestLoader.loadTestsFromName(__name__)
