# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "ApplicationTestCase",
    ]

import codecs
import sys

from unittest import TestCase
from cStringIO import StringIO


class ApplicationTestCase(TestCase):

    def setUp(self):
        # Trap stderr.
        self._real_stderr = sys.stderr
        sys.stderr = codecs.getwriter('utf8')(StringIO())

    def tearDown(self):
        sys.stderr = self._real_stderr
