# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

from storm.locals import SQL


DEFAULT = SQL("DEFAULT")

# We can't use 'infinity', as psycopg doesn't know how to handle it.
INFINITY = SQL("'3000-01-01'::TIMESTAMP WITHOUT TIME ZONE")

UTC_NOW = SQL("(CURRENT_TIMESTAMP AT TIME ZONE 'UTC')")
