# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "DatabaseFactory",
    ]

import transaction

from lpresults.testing.factories import ObjectFactory


class DatabaseFactory(ObjectFactory):

    def abort(self):
        transaction.abort()

    def commit(self):
        transaction.commit()
