# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "IHasDateModified",
    ]

from zope.interface import Interface
from zope.schema import Datetime


class IHasDateModified(Interface):
    """Something modified on a certain date."""

    date_modified = Datetime(
        title=u"Date modified",
        required=True,
        readonly=True)
