# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = []

from unittest import defaultTestLoader

from lpresults.hardware.models.tests.test_unit import TestUnitSetMixin
from lpresults.hardware.testing.cases import TestCaseWithFactory


class TestSystemUnitSet(TestCaseWithFactory, TestUnitSetMixin):

    def getUnitContext(self):
        return self.factory.makeSystem()


def test_suite():
    return defaultTestLoader.loadTestsFromName(__name__)
