# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "TestCase",
    "TestCaseWithFactory",
    ]

from lpresults.database.testing import cases as database_cases

from lpresults.hardware.testing.factories import TestFactory


class TestCase(database_cases.DatabaseTestCase):

    pass


class TestCaseWithFactory(TestCase):

    factory_class = TestFactory

    def setUp(self):
        super(TestCaseWithFactory, self).setUp()

        self.factory = self.factory_class()
