# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "ISearchSet",
    "SearchParams",
    ]

from zope.interface import Interface


class ISearchSet(Interface):

    def search(*args):
        """Search a set with the given search parameters."""


class SearchParams:

    def __init__(self, search_text=None, order_by=None):
        self.search_text = search_text
        self.order_by = order_by
