# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "IResult",
    "IZRepository",
    ]

from zope.interface import (
    Attribute,
    Interface,
    )


class IZRepository(Interface):
    """A flag interface used to lookup the ZRepository utility."""


class IResult(Interface):
    """The interface for a Result as passed to a Context."""

    date_modified = Attribute("Date modified of the result.")
