# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "TestUnitSearchParams",
    ]

from lpresults.registry.interfaces.person import PersonParamsMixin

from lpresults.hardware.interfaces.unit import UnitSearchParams


class TestUnitSearchParams(UnitSearchParams, PersonParamsMixin):
    """Encapsulates search parameters for ITestUnitSet.search()"""

    def __init__(self, id=None, date_modified=None, **kwargs):
        super(TestUnitSearchParams, self).__init__(**kwargs)
        self.id = id
        self.date_modified = date_modified
