# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "get_bucket",
    ]

from zope.component import getUtility

from lpresults.storage.zope.interfaces import IZStorage


def get_bucket(name, autocommit=False):
    """Get the bucket object to the given name.

    :param name: Storage bucket name.
    """
    return getUtility(IZStorage).get(name)
