# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "TestPersonHelper",
    ]

from zope.component import getUtility

from lpresults.registry.models.personhelper import PersonHelper

from lpresults.tracker.interfaces.testperson import ITestPersonSet


class TestPersonHelper(PersonHelper):
    """Helper for implementing L{IHasPerson} classes."""

    def getPerson(self, id):
        return getUtility(ITestPersonSet).get(id)
