# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "TestCase",
    "TestCaseWithFactory",
    ]

from lpresults.registry.testing import cases as registry_cases

from lpresults.tracker.testing.factories import TestFactory


class TestCase(registry_cases.TestCase):

    pass


class TestCaseWithFactory(registry_cases.TestCaseWithFactory):

    factory_class = TestFactory
