# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = []

from unittest import (
    defaultTestLoader,
    TestCase,
    )

from lpresults.tracker.http import HttpResponseUnauthorized


class TestHttpResponseUnauthorized(TestCase):

    def test_statusCode(self):
        response = HttpResponseUnauthorized()
        self.assertEquals(response.status_code, 401)


def test_suite():
    return defaultTestLoader.loadTestsFromName(__name__)
