# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = []

from lpresults.testing.cases import (
    YUITestCase,
    build_yui_unittest_suite,
    )
from lpresults.tracker.testing.layers import FunctionalLayer


class TrackerYUITestCase(YUITestCase):

    layer = FunctionalLayer
    suite_name = "TrackerYUITests"


def test_suite():
    app_testing_path = "static/js/ui/tests"
    return build_yui_unittest_suite(app_testing_path, TrackerYUITestCase)
