# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Project related views."""

__metaclass__ = type

__all__ = [
    "projects",
    ]

from django.shortcuts import render_to_response
from django.template import RequestContext


def projects(request):
    return render_to_response(
        "projects.html",
        context_instance=RequestContext(request))
