# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "FakeApplication",
    ]


class FakeApplication:
    """Simple application object for testing purpose."""

    def __init__(self, *args, **kwargs):
        # Preserve arguments for validation
        self.args = args
        self.kwargs = kwargs

    def run(self):
        pass
